Bug 530075 - pipestat depends on python-setuptools but it is not an RPM dependency
Summary: pipestat depends on python-setuptools but it is not an RPM dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pipestat
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steve Milner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-21 13:27 UTC by Richard Monk
Modified: 2009-11-11 14:55 UTC (History)
1 user (show)

Fixed In Version: 0.3.0-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-10 03:21:20 UTC
Type: ---


Attachments (Terms of Use)

Description Richard Monk 2009-10-21 13:27:56 UTC
Description of problem:
Installing and attempting to use pipestat, I got the following error:
Traceback (most recent call last):
  File "/usr/bin/pipestat", line 5, in <module>
    from pkg_resources import load_entry_point
ImportError: No module named pkg_resources



Version-Release number of selected component (if applicable):
pipestat-0.3.0-1.fc11.noarch

How reproducible:
yum install pipestat
pipestat

Additional info:
If you install python-setuptools pipestat works correctly.

Comment 1 Steve Milner 2009-10-21 15:03:52 UTC
Thank you for the report.

I will update the spec and request an update into testing later today.

Comment 2 Steve Milner 2009-10-21 15:05:30 UTC
Verified. The package requires python-setuptools in BuildRequires but not in Requires.

Comment 3 Fedora Update System 2009-10-21 18:23:28 UTC
pipestat-0.3.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pipestat-0.3.0-2.fc12

Comment 4 Fedora Update System 2009-10-21 18:23:33 UTC
pipestat-0.3.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pipestat-0.3.0-2.fc11

Comment 5 Fedora Update System 2009-10-21 18:23:38 UTC
pipestat-0.3.0-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pipestat-0.3.0-2.el5

Comment 6 Fedora Update System 2009-10-23 23:21:19 UTC
pipestat-0.3.0-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pipestat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0724

Comment 7 Fedora Update System 2009-10-27 06:52:24 UTC
pipestat-0.3.0-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pipestat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10787

Comment 8 Fedora Update System 2009-11-10 03:21:15 UTC
pipestat-0.3.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-11-11 14:55:14 UTC
pipestat-0.3.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.